test:
  image: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA-development
  needs: ["build:dev"]
  stage: test
  rules:
    - if: $UCSD_SECURITY_PIPELINE
      when: never
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
  variables:
    DATABASE_COMMAND: db:migrate
    POSTGRESQL_DATABASE: patronload_test
    POSTGRESQL_DATABASE_TEST: patronload_test
    POSTGRESQL_HOST: postgres
    POSTGRESQL_PASSWORD: patronload
    POSTGRESQL_USERNAME: patronload
    RACK_ENV: test
    RAILS_ENV: test
  services:
    - name: bitnami/postgresql:14.3.0-debian-10-r13
      alias: postgres
  script:
    - bundle exec standardrb
    - bundle exec rspec spec
